osl::DirectionTraitsGen< UUL > Struct Reference

`#include <directionTraits.h>`

## Static Public Attributes

static const int | blackDx =1
static const int | blackDy =-2
static const bool | canPromoteTo =true
static const Direction | altDir =UUL
static const Direction | longDir =UUL
static const Direction | primDir =UUL
static const int | ptypeMask

## Detailed Description

Definition at line 110 of file directionTraits.h.

## Member Data Documentation

## altDir

const Direction osl::DirectionTraitsGen< UUL >::altDir =UUL

static

Definition at line 115 of file directionTraits.h.

## blackDx

const int osl::DirectionTraitsGen< UUL >::blackDx =1

static

Definition at line 111 of file directionTraits.h.

## blackDy

const int osl::DirectionTraitsGen< UUL >::blackDy =-2

static

Definition at line 112 of file directionTraits.h.

## canPromoteTo

const bool osl::DirectionTraitsGen< UUL >::canPromoteTo =true

static

Definition at line 113 of file directionTraits.h.

## longDir

const Direction osl::DirectionTraitsGen< UUL >::longDir =UUL

static

Definition at line 116 of file directionTraits.h.

## primDir

const Direction osl::DirectionTraitsGen< UUL >::primDir =UUL

static

Definition at line 117 of file directionTraits.h.

## ptypeMask

const int osl::DirectionTraitsGen< UUL >::ptypeMask

static

Initial value:
=
(1<<KNIGHT)
osl::KNIGHT
@ KNIGHT
Definition basic_type.h:97

Definition at line 118 of file directionTraits.h.

The documentation for this struct was generated from the following file:

- directionTraits.h